org.encog.mathutil.libsvm

## Class svm_model

- java.lang.Object
- - org.encog.mathutil.libsvm.svm_model

- All Implemented Interfaces:
    Serializable

      public class svm_model
      extends Object
      implements Serializable

  This class was taken from the libsvm package. We have made some modifications for use in Encog. The libsvm Copyright/license is listed here. Copyright (c) 2000-2010 Chih-Chung Chang and Chih-Jen Lin All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. 3. Neither name of copyright holders nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `l`
    `int[]` | `label`
    `int` | `nr_class`
    `int[]` | `nSV`
    `svm_parameter` | `param`
    `double[]` | `probA`
    `double[]` | `probB`
    `double[]` | `rho`
    `svm_node[][]` | `SV`
    `double[][]` | `sv_coef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `svm_model()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### param

          public svm_parameter param

    - #### nr_class

          public int nr_class

    - #### l

          public int l

    - #### SV

          public svm_node[][] SV

    - #### sv_coef

          public double[][] sv_coef

    - #### rho

          public double[] rho

    - #### probA

          public double[] probA

    - #### probB

          public double[] probB

    - #### label

          public int[] label

    - #### nSV

          public int[] nSV

  - ### Constructor Detail

    - #### svm_model

          public svm_model()

Copyright © 2014. All Rights Reserved.